net.sf.jasperreports.engine

## Interface JRComponentElement

- All Superinterfaces:
    java.lang.Cloneable, JRChild, JRCloneable, JRCommonElement, JRElement, JRIdentifiable, JRPropertiesHolder, JRStyleContainer, JRVisitable
  All Known Implementing Classes:
    JRBaseComponentElement, JRDesignComponentElement, JRFillComponentElement

      public interface JRComponentElement
      extends JRElement

  A report element that wraps an abstract component.
  Version:
    $Id: JRComponentElement.java 7041 2014-04-23 12:04:17Z narcism $
  Author:
    Lucian Chirita (lucianc@users.sourceforge.net)

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `PROPERTY_COMPONENT_NAME`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Component` | `getComponent()` Returns the component instance wrapped by this element.
    `ComponentKey` | `getComponentKey()` Returns the component type key for this element.

    - ### Methods inherited from interface net.sf.jasperreports.engine.JRElement

      `clone, collectExpressions, getElementGroup, getKey, getPositionTypeValue, getPrintWhenExpression, getPrintWhenGroupChanges, getPropertyExpressions, getStretchTypeValue, getX, getY, isPrintInFirstWholeBand, isPrintRepeatedValues, isPrintWhenDetailOverflows, isRemoveLineWhenBlank, setPositionType, setPrintInFirstWholeBand, setPrintRepeatedValues, setPrintWhenDetailOverflows, setRemoveLineWhenBlank, setStretchType, setWidth, setX`

    - ### Methods inherited from interface net.sf.jasperreports.engine.JRChild

      `clone`

    - ### Methods inherited from interface net.sf.jasperreports.engine.JRVisitable

      `visit`

    - ### Methods inherited from interface net.sf.jasperreports.engine.JRCloneable

      `clone`

    - ### Methods inherited from interface net.sf.jasperreports.engine.JRCommonElement

      `getBackcolor, getForecolor, getHeight, getModeValue, getOwnBackcolor, getOwnForecolor, getOwnModeValue, getWidth, setBackcolor, setForecolor, setMode`

    - ### Methods inherited from interface net.sf.jasperreports.engine.JRStyleContainer

      `getDefaultStyleProvider, getStyle, getStyleNameReference`

    - ### Methods inherited from interface net.sf.jasperreports.engine.JRPropertiesHolder

      `getParentProperties, getPropertiesMap, hasProperties`

    - ### Methods inherited from interface net.sf.jasperreports.engine.JRIdentifiable

      `getUUID`

- - ### Field Detail

    - #### PROPERTY_COMPONENT_NAME

          static final java.lang.String PROPERTY_COMPONENT_NAME

      See Also:
        Constant Field Values

  - ### Method Detail

    - #### getComponentKey

          ComponentKey getComponentKey()

      Returns the component type key for this element.

      The component type key needs to be set in order to locate the component manager.

      Returns:
        the component type key

    - #### getComponent

          Component getComponent()

      Returns the component instance wrapped by this element.
      Returns:
        the component instance

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com